/* arzberger dr2pat - table.css */
/* only loads for pages with tables */
/* (c) wind 2026 */





/* # CSS1 ... ── */

main  {
    .table_cases {
        width: 95%;

        a { 
            display: contents; 
            color: var(--text-dark);
            font-family: "Alegreya Sans SC", sans-serif;  
            font-family: 'TikTok Sans', sans-serif;            
            font-family: "Livvic", sans-serif; 

            font-style: normal;
            font-weight: 400;
        } 
        a:hover > div {   /* nur für tabelle!! */
            background: var(--table-hover);
            cursor: pointer;
        }
    
        .table_header {
            display: flex;
            flex-direction: row;
            align-items: center;
            margin-bottom: 2px;
            border-top: 1px solid var(--border-soft1);
            border-bottom: 1px solid var(--border-soft1); 
            line-height: 2rem; 
            font-size: 0.9rem;
            font-weight: 600;
            background-color: var(--table-header-bg);
            text-transform: uppercase;
            color: var(--text-dark);

            .iter, .status, .case_name {
                border-right: 1px solid var(--border-soft1);
            }

            .iter {
                text-align: center;
                color: var(--text-dark);
                font-size: 0.9rem;
            }

            .status {
                padding-left: 1.4rem;
                width: 9rem;
            }

            .case_name {  /* ANLIEGEN   */ 
                padding-left: 1.2rem;
                min-width: 22 rem;
            }

            .created { /* empty so far */ }

        } /* closing table_header */

        .table_row {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: flex-start;  /* added this - 260321 */
            border-bottom: 1px solid var(--border-soft2);
            font-size: 0.9rem;
            line-height: 2.6rem; 
        }
    }  /* closing table_cases */
} /* closing main */

/* # CSS1 ----table cells */

main {
    .table_cases {

        width: 95%;

        .iter, .status, .case_name, .created {
            border-right: 1px solid var(--border-soft2);
        }

        .iter {
            width: 4rem;
            text-align: center;
            font-size: 0.7rem;
            color: var(--text-muted);
        }

        .status {
            display: flex;
            flex-direction: row;
            align-items: center; 
            justify-content: flex-start;
            width: 9.6rem;
            min-width: 5.7rem;
            text-align: left;
            padding-left: 0.5rem;   
        }

        .case_name {
            /* ANLIEGEN */
            padding-left: 1.1rem;
            min-width: 19rem;
            /* width: 100%; */
            flex: 1;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .created { 
            padding: 0;
            min-width: 7rem; 
            text-align: center;
            border-right: 0;
        }
    }  /* closing table_cases */
} /* closing main */


/* # CSS1 ----status */

main {
    .table_cases {
        .status0, .status1, .status2, .status3, .status4, .status5 {
            display: flex; 
            flex-direction: row; 
            align-items: center;
            justify-content: center;
            width: 6px;
            height: 35px;
            white-space: nowrap;
            border-radius: 2px;
            text-align: center;
            font-family: "Livvic", sans-serif; 
            font-weight: 700;
            font-size: 0.7rem;
            letter-spacing: 0.04rem;
            letter-spacing: 0.18rem;
        }
        .status5 {  /* 5-archived/archiviert */
            background-color: var(--state-archived);
        }
        .status4 {   /* 4-closed/geschlossen */
            padding-left: 1px;
            background-color: var(--state-closed);
        }
        .status3 {   /* 3-answered/ANTWORT */
            background-color: var(--state-answered);
        }
        .status2 {   /* 2-sent/gesendet */
            background-color: var(--state-sent);
        }
        .status1 {   /* 1-open/offen */
            background-color: var(--state-opened);
        }
        .status0 {   /* 0-created/angelegt */
            background-color: var(--state-created);
            border: 1px solid var(--state-created-border);
        }

        .status_text{
            display: flex; 
            flex-direction: row; 
            align-items: center;
            justify-content: center;
            padding-left: 0.6rem;
            text-align: center;
            font-weight: 600;
            font-size: 0.7rem;
            letter-spacing: 0.04rem;
            color: var(--text-muted2); 
        }

        .active{
            color: var(--main-txt-soft); 
        }
    }  /* closing table_cases */
} /* closing main */

/* paginator */

main  {
    .paginator  {
        width: 95%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-end;
        gap: 4px;

        a { 
            display: contents; 
            color: var(--text-dark);
        } 
        a:hover > div {   /* nur für paginator boxes */
            background: var(--paginator-hover);  
            cursor: pointer;
        }

        .pag  {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 30px;
            height: 30px;
            border: 1px solid var(--border-soft1);
            border-radius: 0.4rem;
            text-align: center;
            font-size: 0.9rem;

        }

        .pag2  {
            font-size: 1.4rem;
            align-self: center;
            padding-bottom: 2px;
        }

        .current  {
            background-color: var(--paginator-bg-current);
            border:0;
            color: var(--white);
        }
    }
}
